Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

ContentTypeUpdateStruct.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\ContentType;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10
14 class ContentTypeUpdateStruct extends ValueObject
15 {
21 public $identifier;
22
28 public $remoteId;
29
35 public $urlAliasSchema;
36
42 public $nameSchema;
43
49 public $isContainer;
50
56 public $mainLanguageCode;
57
63 public $defaultSortField;
64
70 public $defaultSortOrder;
71
77 public $defaultAlwaysAvailable;
78
84 public $modifierId = null;
85
91 public $modificationDate = null;
92
98 public $names;
99
105 public $descriptions;
106 }
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct
This class is used for updating a content type.
Definition: ContentTypeUpdateStruct.php:15
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$defaultSortOrder
$defaultSortOrder
Definition: ContentTypeUpdateStruct.php:70
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$modificationDate
$modificationDate
Definition: ContentTypeUpdateStruct.php:91
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$identifier
$identifier
Definition: ContentTypeUpdateStruct.php:21
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$descriptions
$descriptions
Definition: ContentTypeUpdateStruct.php:105
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$isContainer
$isContainer
Definition: ContentTypeUpdateStruct.php:49
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$remoteId
$remoteId
Definition: ContentTypeUpdateStruct.php:28
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$nameSchema
$nameSchema
Definition: ContentTypeUpdateStruct.php:42
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$names
$names
Definition: ContentTypeUpdateStruct.php:98
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$modifierId
$modifierId
Definition: ContentTypeUpdateStruct.php:84
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$mainLanguageCode
$mainLanguageCode
Definition: ContentTypeUpdateStruct.php:56
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$defaultSortField
$defaultSortField
Definition: ContentTypeUpdateStruct.php:63
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$defaultAlwaysAvailable
$defaultAlwaysAvailable
Definition: ContentTypeUpdateStruct.php:77
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct\$urlAliasSchema
$urlAliasSchema
Definition: ContentTypeUpdateStruct.php:35
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\API\Repository\Values\ContentType
Definition: API/Repository/Values/ContentType/ContentType.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.